## org.eclipse.uml2.uml
Interface ConnectorEnd

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, MultiplicityElement, org.eclipse.emf.common.notify.Notifier

    public interface ConnectorEnd

extends MultiplicityElement

A representation of the model object 'Connector End'. A connector end is an endpoint of a connector, which attaches the connector to a connectable element. Each connector end is part of one connector.

The following features are supported:

- `Defining End`
- `Role`
- `Part With Port`

See Also:
  `UMLPackage.getConnectorEnd()`

Method Summary
`Property` `getDefiningEnd()` Returns the value of the 'Defining End' reference
`Property` `getPartWithPort()` Returns the value of the 'Part With Port' reference
`ConnectableElement` `getRole()` Returns the value of the 'Role' reference
`void` `setPartWithPort(Property value)` Sets the value of the '`Part With Port`' reference
`void` `setRole(ConnectableElement value)` Sets the value of the '`Role`' reference
`boolean` `validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The multiplicity of the connector end may not be more general than the multiplicity of the association typing the owning connector.
`boolean` `validatePartWithPortEmpty(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If a connector end is attached to a port of the containing classifier, partWithPort will be empty.
`boolean` `validateRoleAndPartWithPort(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If a connector end references both a role and a partWithPort, then the role must be a port that is defined by the type of the partWithPort.
`boolean` `validateSelfPartWithPort(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The property held in self.partWithPort must not be a Port.

Methods inherited from interface org.eclipse.uml2.uml.MultiplicityElement

`compatibleWith, createLowerValue, createUpperValue, getLower, getLowerValue, getUpper, getUpperValue, includesCardinality, includesMultiplicity, is, isMultivalued, isOrdered, isUnique, lowerBound, setIsOrdered, setIsUnique, setLower, setLowerValue, setUpper, setUpperValue, upperBound, validateLowerGe0, validateUpperGeLower, validateValueSpecificationConstant, validateValueSpecificationNoSideEffects`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDefiningEnd

    Property getDefiningEnd()

  Returns the value of the 'Defining End' reference. A derived association referencing the corresponding association end on the association which types the connector owing this connector end. This association is derived by selecting the association end at the same place in the ordering of association ends as this connector end.

  Returns:
    the value of the 'Defining End' reference.
  See Also:
    `UMLPackage.getConnectorEnd_DefiningEnd()`

### getPartWithPort

    Property getPartWithPort()

  Returns the value of the 'Part With Port' reference. Indicates the role of the internal structure of a classifier with the port to which the connector end is attached.

  Returns:
    the value of the 'Part With Port' reference.
  See Also:
    `setPartWithPort(Property)`, `UMLPackage.getConnectorEnd_PartWithPort()`

### setPartWithPort

    void setPartWithPort(Property value)

  Sets the value of the '`Part With Port`' reference.

  Parameters:
    `value` - the new value of the 'Part With Port' reference.
  See Also:
    `getPartWithPort()`

### getRole

    ConnectableElement getRole()

  Returns the value of the 'Role' reference. The connectable element attached at this connector end. When an instance of the containing classifier is created, a link may (depending on the multiplicities) be created to an instance of the classifier that types this connectable element.

  Returns:
    the value of the 'Role' reference.
  See Also:
    `setRole(ConnectableElement)`, `UMLPackage.getConnectorEnd_Role()`

### setRole

    void setRole(ConnectableElement value)

  Sets the value of the '`Role`' reference.

  Parameters:
    `value` - the new value of the 'Role' reference.
  See Also:
    `getRole()`

### validateMultiplicity

    boolean validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The multiplicity of the connector end may not be more general than the multiplicity of the association typing the owning connector. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validatePartWithPortEmpty

    boolean validatePartWithPortEmpty(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

  If a connector end is attached to a port of the containing classifier, partWithPort will be empty. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateRoleAndPartWithPort

    boolean validateRoleAndPartWithPort(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

  If a connector end references both a role and a partWithPort, then the role must be a port that is defined by the type of the partWithPort. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateSelfPartWithPort

    boolean validateSelfPartWithPort(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  The property held in self.partWithPort must not be a Port. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.